Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006691OCamlconfigure and build/installpublic2014-12-04 19:062015-07-20 16:11
Reporterdrup 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.02.3+devFixed in Version4.02.3+dev 
Summary0006691: Install .cmt[i] files.
DescriptionIt would be nice to install .cmt[i] files for the stdlib and compiler-libs by default (they seem to be generated anyway). It would help the various tools to browse the documentation.
Tagsjunior_job
Attached Filespatch file icon install_cmti.patch [^] (1,763 bytes) 2015-01-15 12:50 [Show Content]
patch file icon install_cmti_with_nt.patch [^] (3,115 bytes) 2015-01-16 12:37 [Show Content]

- Relationships

-  Notes
(0012667)
gasche (administrator)
2014-12-05 16:49

I think that's a good idea.
(0013086)
doligez (administrator)
2015-01-13 22:39

+1
(0013103)
dsheets (reporter)
2015-01-15 12:51

Patch attached. See also https://github.com/ocaml/ocaml/pull/136 [^]
(0013119)
dsheets (reporter)
2015-01-16 12:38

New patch, install_cmti_with_nt.patch, with Makefile.nt edited as well uploaded as suggested by doligez on GitHub.

I can't test the Makefile.nt edition but I'm reasonably certain it does the same thing after careful review.
(0013170)
gasche (administrator)
2015-01-24 17:36

Merged in trunk, thanks!
(0014208)
doligez (administrator)
2015-07-17 16:51

Reopening to include in 4.02.3.
(0014221)
doligez (administrator)
2015-07-20 16:11

merged in 4.02 (rev 16223)

- Issue History
Date Modified Username Field Change
2014-12-04 19:06 drup New Issue
2014-12-05 16:49 gasche Note Added: 0012667
2014-12-05 16:49 gasche Status new => acknowledged
2015-01-13 22:38 doligez Tag Attached: junior_job
2015-01-13 22:39 doligez Note Added: 0013086
2015-01-13 22:39 doligez Target Version => 4.02.2+dev / +rc1
2015-01-15 12:50 dsheets File Added: install_cmti.patch
2015-01-15 12:51 dsheets Note Added: 0013103
2015-01-16 12:37 dsheets File Added: install_cmti_with_nt.patch
2015-01-16 12:38 dsheets Note Added: 0013119
2015-01-24 17:36 gasche Note Added: 0013170
2015-01-24 17:36 gasche Status acknowledged => resolved
2015-01-24 17:36 gasche Fixed in Version => 4.03.0+dev / +beta1
2015-01-24 17:36 gasche Resolution open => fixed
2015-01-24 17:36 gasche Assigned To => gasche
2015-07-17 16:51 doligez Note Added: 0014208
2015-07-17 16:51 doligez Assigned To gasche =>
2015-07-17 16:51 doligez Status resolved => confirmed
2015-07-17 16:51 doligez Resolution fixed => reopened
2015-07-17 16:51 doligez Target Version 4.02.2+dev / +rc1 => 4.02.3+dev
2015-07-20 16:11 doligez Note Added: 0014221
2015-07-20 16:11 doligez Status confirmed => closed
2015-07-20 16:11 doligez Resolution reopened => fixed
2015-07-20 16:11 doligez Fixed in Version 4.03.0+dev / +beta1 => 4.02.3+dev
2017-02-23 16:38 doligez Category OCaml internal build/install (Makefiles, configure) => configure and build/install


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker